﻿<%@ Page Language="C#" MasterPageFile = "~/OWDemoShell.Master" AutoEventWireup = "true" CodeBehind="Part1.aspx.cs" Inherits="ExtendedSalesSummary.Part1_CSV" Title = "Part 1: Using CopySheet"%>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DemoTitle" runat="server">Part 1: 
    Creating a Dynamic Template  
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="DemoBody" runat="server">
<p>
    The first part of this tutorial focuses on how to use ExcelApplication to 
    customize a template at runtime and how to dynamically bind data using 
    ExcelTemplate. Then the worksheets are populated with data using the 
    ExcelTemplate object.
</p>
                                        <p>
                                            There is a companion guide in the ExcelWriter documentation with more details: 
    <a href="http://wiki.softartisans.com/display/EW8/Part+1+-+Creating+a+Dynamic+Template">
                                            Part 1 - Creating a Dynamic Template</a></p>
<p>Please select the countries you would like to include in your Excel Workbook.
</p>
<asp:ListBox runat = "server" ID = "ListBox1" SelectionMode = "Multiple" Rows = "4" Width = "300 px">
    <asp:ListItem Text = "Canada" Value = "6"></asp:ListItem>
    <asp:ListItem Text = "France" Value = "7"></asp:ListItem>
    <asp:ListItem Text = "Germany" Value = "8"></asp:ListItem>
    <asp:ListItem Text = "Australia" Value = "9"></asp:ListItem>
</asp:ListBox>
<p><asp:RequiredFieldValidator ID = "RequiredFieldValidator1" ControlToValidate = "ListBox1" Display ="Static" ErrorMessage = "Please select at least one country" InitialValue = "" Width = "100%" runat = "server">
</asp:RequiredFieldValidator></p>
<p>
    <asp:Button ID="RunReport" runat="server" Text="Run Report" 
        onclick="RunReport_Click" /> <br />
    View <a href="templates/template.xlsx">Template</a>
 </p>
 <p><a href="Part2.aspx">Continue on to Part 2</a></p>
<p>
    <asp:Label ID="ErrorLabel" runat="server" Text="[Error Label]" Visible="False" 
        ForeColor="Red"></asp:Label>
</p>
</asp:Content>
