﻿<%@ Page Language="C#" MasterPageFile="~/OWDemoShell.Master" AutoEventWireup="true" CodeBehind="Part2.aspx.cs" Inherits="ExtendedSalesSummary.Part2_CSV" Title="Part 2: Creating a Cover Page"%>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DemoTitle" runat="server">Part 2: 
    Creating a Cover Sheet   
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="DemoBody" runat="server">
<p>
    The second part of this tutorial builds on Part 1 by using ExcelApplication to 
    add a custom cover worksheet on the fly. This section focuses on inserting 
    images, writing formulas with ExcelWriter, and applying styles.
</p>
    <p>
        There is an companion guide in the ExcelWriter documentation with more details:
    <a href="http://wiki.softartisans.com/display/EW8/Part+2+-+Creating+a+Cover+sheet">
        Part 2 - Creating a Cover Page</a>.
</p>
<p>Recipient of report:</p>
                                        <p>&nbsp;<asp:TextBox ID = "TextBox1" runat = "server"></asp:TextBox></p>
<p><asp:RequiredFieldValidator ID = "RequiredFieldValidator1" ControlToValidate = "RBImage" ErrorMessage = "Please enter a name" Display ="Static" InitialValue = "" Width = "100%" runat = "server">
</asp:RequiredFieldValidator></p>
<p> Select a logo to appear on the summary page: logo to appear on the summary page:</p>
<p>
<asp:RadioButtonList runat = "server" ID = "RBImage" RepeatDirection = "Horizontal" RepeatLayout = "Table" CellSpacing = "25">
    <asp:ListItem Text = '&lt;img src ="images/ExcelWriter-logo-blue.jpg" height="20" width = "100" /&gt;' 
        Value = "images/ExcelWriter-logo-blue.jpg"></asp:ListItem>
    <asp:ListItem Text = '&lt;img src ="images/ExcelWriter-logo-green.jpg" height="20" width = "100" /&gt;' 
        Value = "images/ExcelWriter-logo-green.jpg"></asp:ListItem> 
    <asp:ListItem Text = '&lt;img src ="images/ExcelWriter-logo-purple.jpg" height="20" width = "100" /&gt;' 
        Value = "images/ExcelWriter-logo-purple.jpg"></asp:ListItem>  
</asp:RadioButtonList></p>
<p><asp:RequiredFieldValidator ID = "RequiredFieldValidator2" ControlToValidate = "RBImage" ErrorMessage = "Please select a logo" Display ="Static" InitialValue = "" Width = "100%" runat = "server">
</asp:RequiredFieldValidator></p>
<p>Please select the countries you would like to include in your Excel Workbook. </p>
<asp:ListBox runat = "server" ID = "ListBox1" SelectionMode = "Multiple" Rows = "4" Width = "300 px">
    <asp:ListItem Text = "Canada" Value = "6"></asp:ListItem>
    <asp:ListItem Text = "France" Value = "7"></asp:ListItem>
    <asp:ListItem Text = "Germany" Value = "8"></asp:ListItem>
    <asp:ListItem Text = "Australia" Value = "9"></asp:ListItem>
</asp:ListBox>
<p><asp:RequiredFieldValidator ID = "RequiredFieldValidator3" ControlToValidate = "ListBox1" ErrorMessage = "Please select at least one country" Display ="Static" InitialValue = "" Width = "100%" runat = "server">
</asp:RequiredFieldValidator></p>
<p>
    <asp:Button ID="RunReport" runat="server" Text="Run Report" 
        onclick="RunReport_Click" /> <br />
    View <a href="templates/template.xlsx">Template</a>
 </p>
<p>
    <asp:Label ID="ErrorLabel" runat="server" Text="[Error Label]" Visible="False" 
        ForeColor="Red"></asp:Label>
</p>
</asp:Content>